Skip to main content
PATCH
/
api
/
v3
/
admin
/
stock_locations
/
{id}
Spree Admin SDK
import { createAdminClient } from '@spree/admin-sdk'

const client = createAdminClient({
  baseUrl: 'https://your-store.com',
  secretKey: 'sk_xxx',
})

const stockLocation = await client.stockLocations.update('sloc_UkLWZg9DAJ', {
  pickup_enabled: true,
  pickup_ready_in_minutes: 45,
  pickup_instructions: 'Enter through the back door, ring the bell.',
})
{
  "id": "sloc_UkLWZg9DAJ",
  "state_abbr": "STATE_ABBR_28",
  "name": "Renamed warehouse",
  "address1": "1600 Pennsylvania Ave NW",
  "city": "Washington",
  "zipcode": "20500",
  "country_iso": "US",
  "country_name": "United States of America",
  "state_text": "STATE_ABBR_28",
  "admin_name": null,
  "address2": null,
  "state_name": null,
  "phone": "(202) 456-1111",
  "company": null,
  "active": true,
  "default": false,
  "backorderable_default": true,
  "propagate_all_variants": false,
  "kind": "warehouse",
  "pickup_enabled": true,
  "pickup_stock_policy": "local",
  "pickup_ready_in_minutes": 45,
  "pickup_instructions": null,
  "created_at": "2026-05-17T22:58:23.346Z",
  "updated_at": "2026-05-17T22:58:23.623Z"
}

Documentation Index

Fetch the complete documentation index at: https://spreecommerce.org/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Bearer token for admin authentication

Path Parameters

id
string
required

Stock location ID

Body

application/json
name
string
admin_name
string | null
active
boolean
default
boolean
kind
enum<string>
Available options:
warehouse,
store,
fulfillment_center
propagate_all_variants
boolean
backorderable_default
boolean
address1
string | null
address2
string | null
city
string | null
zipcode
string | null
phone
string | null
company
string | null
country_iso
string | null
state_abbr
string | null
state_name
string | null
pickup_enabled
boolean
pickup_stock_policy
enum<string>
Available options:
local,
any
pickup_ready_in_minutes
number | null
Required range: x >= 0
pickup_instructions
string | null

Response

stock location updated

id
string
required
state_abbr
string | null
required
name
string
required
address1
string | null
required
city
string | null
required
zipcode
string | null
required
country_iso
string | null
required
country_name
string | null
required
state_text
string | null
required
admin_name
string | null
required
address2
string | null
required
state_name
string | null
required
phone
string | null
required
company
string | null
required
active
boolean
required
default
boolean
required
backorderable_default
boolean
required
propagate_all_variants
boolean
required
kind
string
required
pickup_enabled
boolean
required
pickup_stock_policy
string
required
pickup_ready_in_minutes
number | null
required
pickup_instructions
string | null
required
created_at
string
required
updated_at
string
required